Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.property
Class PersistentObjectProperty

    java.lang.Object
      org.apache.cayenne.property.SimpleProperty
          org.apache.cayenne.property.AbstractSingleObjectArcProperty
              org.apache.cayenne.property.PersistentObjectProperty

All Implemented Interfaces:
  java.io.Serializable, ArcProperty, Property, PropertyAccessor, SingleObjectArcProperty

    public class PersistentObjectProperty

extends AbstractSingleObjectArcProperty

An ArcProperty for accessing to-one relationships.

Since:
  1.2
Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.cayenne.property.AbstractSingleObjectArcProperty
`complimentaryReverseArcName, targetDescriptor`

Fields inherited from class org.apache.cayenne.property.SimpleProperty
`accessor, owner`

Constructor Summary
`PersistentObjectProperty(ClassDescriptor owner, ClassDescriptor targetDescriptor, PropertyAccessor accessor, java.lang.String reverseName)`

Method Summary
`boolean` | `isFault(java.lang.Object object)` Returns whether a target node connected to a given object is an unresolved fault.
`java.lang.Object` | `readProperty(java.lang.Object object)` Returns a property value, resolving object fault if needed.
`void` | `shallowMerge(java.lang.Object from, java.lang.Object to)` Copies a property value that is itself a persistent object from one object to another.

Methods inherited from class org.apache.cayenne.property.AbstractSingleObjectArcProperty
`getComplimentaryReverseArc, getTargetDescriptor, setReverse, setTarget, visit`

Methods inherited from class org.apache.cayenne.property.SimpleProperty
`getName, injectValueHolder, readPropertyDirectly, writeProperty, writePropertyDirectly`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cayenne.property.Property
`injectValueHolder, writeProperty`

Methods inherited from interface org.apache.cayenne.property.PropertyAccessor
`getName, readPropertyDirectly, writePropertyDirectly`

Constructor Detail

### PersistentObjectProperty

    public PersistentObjectProperty(ClassDescriptor owner,
                                    ClassDescriptor targetDescriptor,
                                    PropertyAccessor accessor,
                                    java.lang.String reverseName)

Method Detail

### isFault

    public boolean isFault(java.lang.Object object)

  Description copied from interface: `ArcProperty`
  Returns whether a target node connected to a given object is an unresolved fault.

  Specified by:
    `isFault` in interface `ArcProperty`
  Specified by:
    `isFault` in class `AbstractSingleObjectArcProperty`

### readProperty

    public java.lang.Object readProperty(java.lang.Object object)
                                  throws PropertyAccessException

  Description copied from interface: `Property`
  Returns a property value, resolving object fault if needed.

  Specified by:
    `readProperty` in interface `Property`
  Overrides:
    `readProperty` in class `SimpleProperty`
  Throws:
    `PropertyAccessException`

### shallowMerge

    public void shallowMerge(java.lang.Object from,
                             java.lang.Object to)
                      throws PropertyAccessException

  Copies a property value that is itself a persistent object from one object to another. If the new value is fault, fault will be copied to the target.

  Specified by:
    `shallowMerge` in interface `Property`
  Overrides:
    `shallowMerge` in class `SimpleProperty`
  Throws:
    `PropertyAccessException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.